"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verboseIsImplied = exports.setLogLevel = void 0;
var crashMessage_1 = require("./crashMessage");
var pino_1 = require("./pino");
var pkg = require('../../package.json');
var logContext = "pact-core@" + pkg.version;
var currentLogLevel = 'info';
var setLogLevel = function (level) {
    if (level === void 0) { level = 'info'; }
    currentLogLevel = level;
};
exports.setLogLevel = setLogLevel;
var verboseIsImplied = function () {
    return currentLogLevel === 'trace' || currentLogLevel === 'debug';
};
exports.verboseIsImplied = verboseIsImplied;
exports.default = {
    pactCrash: function (message, context) {
        if (context === void 0) { context = logContext; }
        return pino_1.createLogger(currentLogLevel, context).error(crashMessage_1.pactCrashMessage(message));
    },
    error: function (message, context) {
        if (context === void 0) { context = logContext; }
        return pino_1.createLogger(currentLogLevel, context).error(message);
    },
    warn: function (message, context) {
        if (context === void 0) { context = logContext; }
        return pino_1.createLogger(currentLogLevel, context).warn(message);
    },
    info: function (message, context) {
        if (context === void 0) { context = logContext; }
        return pino_1.createLogger(currentLogLevel, context).info(message);
    },
    debug: function (message, context) {
        if (context === void 0) { context = logContext; }
        return pino_1.createLogger(currentLogLevel, context).debug(message);
    },
    trace: function (message, context) {
        if (context === void 0) { context = logContext; }
        return pino_1.createLogger(currentLogLevel, context).trace(message);
    },
};
//# sourceMappingURL=index.js.map